#ifndef _Handle_PPoly_PolygonOnTriangulation_HeaderFile
#define _Handle_PPoly_PolygonOnTriangulation_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PPoly_PolygonOnTriangulation;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PPoly_PolygonOnTriangulation);

class Handle(PPoly_PolygonOnTriangulation) : public Handle(Standard_Persistent) {
  public:

    Handle(PPoly_PolygonOnTriangulation)():Handle(Standard_Persistent)() {} 
    Handle(PPoly_PolygonOnTriangulation)(const Handle(PPoly_PolygonOnTriangulation)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PPoly_PolygonOnTriangulation)(const PPoly_PolygonOnTriangulation* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PPoly_PolygonOnTriangulation)& operator=(const Handle(PPoly_PolygonOnTriangulation)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PPoly_PolygonOnTriangulation)& operator=(const PPoly_PolygonOnTriangulation* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PPoly_PolygonOnTriangulation* operator->() const 
     {
      return (PPoly_PolygonOnTriangulation *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PPoly_PolygonOnTriangulation) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
